Upstream information

CVE-2022-2385 at MITRE

Description

A security issue was discovered in aws-iam-authenticator where an allow-listed IAM identity may be able to modify their username and escalate privileges.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6
Vector AV:N/AC:M/Au:S/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 8.1
Vector CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:N
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1201395 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 6
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Module for Public Cloud 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • aws-iam-authenticator >= 0.5.3-150000.1.9.1
Patchnames:
SUSE-SLE-Module-Public-Cloud-15-SP1-2022-2583
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Public Cloud 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • aws-iam-authenticator >= 0.5.3-150000.1.9.1
Patchnames:
SUSE-SLE-Module-Public-Cloud-15-SP3-2022-2583
SUSE Enterprise Storage 7
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Public Cloud 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • aws-iam-authenticator >= 0.5.3-150000.1.9.1
Patchnames:
SUSE-SLE-Module-Public-Cloud-15-SP2-2022-2583
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Public Cloud 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • aws-iam-authenticator >= 0.5.3-150000.1.9.1
Patchnames:
SUSE-SLE-Module-Public-Cloud-15-SP4-2022-2583
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Public Cloud 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • aws-iam-authenticator >= 0.5.3-150000.1.9.1
Patchnames:
SUSE-SLE-Module-Public-Cloud-15-2022-2583
openSUSE Leap 15.3
  • aws-iam-authenticator >= 0.5.3-150000.1.9.1
Patchnames:
openSUSE-SLE-15.3-2022-2583
openSUSE Leap 15.4
  • aws-iam-authenticator >= 0.5.3-150000.1.9.1
Patchnames:
openSUSE-SLE-15.4-2022-2583


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Enterprise Storage 6 aws-iam-authenticator Released
SUSE Enterprise Storage 7 aws-iam-authenticator Released
SUSE Enterprise Storage 7.1 aws-iam-authenticator Released
SUSE Linux Enterprise High Performance Computing 15 aws-iam-authenticator Released
SUSE Linux Enterprise High Performance Computing 15 SP1 aws-iam-authenticator Released
SUSE Linux Enterprise High Performance Computing 15 SP2 aws-iam-authenticator Released
SUSE Linux Enterprise High Performance Computing 15 SP3 aws-iam-authenticator Released
SUSE Linux Enterprise High Performance Computing 15 SP4 aws-iam-authenticator Released
SUSE Linux Enterprise Module for Public Cloud 15 aws-iam-authenticator Released
SUSE Linux Enterprise Module for Public Cloud 15 SP1 aws-iam-authenticator Released
SUSE Linux Enterprise Module for Public Cloud 15 SP2 aws-iam-authenticator Released
SUSE Linux Enterprise Module for Public Cloud 15 SP3 aws-iam-authenticator Released
SUSE Linux Enterprise Module for Public Cloud 15 SP4 aws-iam-authenticator Released
SUSE Linux Enterprise Server 15 aws-iam-authenticator Released
SUSE Linux Enterprise Server 15 SP1 aws-iam-authenticator Released
SUSE Linux Enterprise Server 15 SP2 aws-iam-authenticator Released
SUSE Linux Enterprise Server 15 SP3 aws-iam-authenticator Released
SUSE Linux Enterprise Server 15 SP4 aws-iam-authenticator Released
SUSE Linux Enterprise Server for SAP Applications 15 aws-iam-authenticator Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 aws-iam-authenticator Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 aws-iam-authenticator Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 aws-iam-authenticator Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 aws-iam-authenticator Released
SUSE Manager Proxy 4.0 aws-iam-authenticator Released
SUSE Manager Proxy 4.1 aws-iam-authenticator Released
SUSE Manager Proxy 4.2 aws-iam-authenticator Released
SUSE Manager Proxy 4.3 aws-iam-authenticator Released
SUSE Manager Retail Branch Server 4.0 aws-iam-authenticator Released
SUSE Manager Retail Branch Server 4.1 aws-iam-authenticator Released
SUSE Manager Retail Branch Server 4.2 aws-iam-authenticator Released
SUSE Manager Retail Branch Server 4.3 aws-iam-authenticator Released
SUSE Manager Server 4.0 aws-iam-authenticator Released
SUSE Manager Server 4.1 aws-iam-authenticator Released
SUSE Manager Server 4.2 aws-iam-authenticator Released
SUSE Manager Server 4.3 aws-iam-authenticator Released


SUSE Timeline for this CVE

CVE page created: Mon Jul 11 19:00:03 2022
CVE page last modified: Tue Nov 8 20:30:10 2022